Hi folks,

I cloned the Git archive of libsequence-library-java and tried

libsequence-library-java(master) $ LC_ALL=C uscan --verbose
-- Scanning for watchfiles in .
-- Found watchfile in ./debian
-- In debian/watch, processing watchfile line:
   http://svn.svnkit.com/repos/3rdparty/de.regnis.q.sequence/tags/ (\d.*)/
-- Found the following matching hrefs:
     0.0.1/ (0.0.1)
     1.0.0-rc1/ (1.0.0-rc1)
     1.0.1-rc1/ (1.0.1-rc1)
     1.0.2/ (1.0.2)
     1.0.3/ (1.0.3)
Newest version on remote site is 1.0.3, local version is 1.0.2
 => Newer version available from
    http://svn.svnkit.com/repos/3rdparty/de.regnis.q.sequence/tags/1.0.3/
-- Downloading updated package 1.0.3
-- Checking for common possible upstream OpenPGP signatures
Parameter ../1.0.3 does not look like a tar archive or a zip file. at 
/usr/bin/mk-origtargz line 330.
uscan: error: mk-origtargz --package libsequence-library-java --version 1.0.3 
--compression gzip --directory .. --copyright-file debian/copyright ../1.0.3 
gave error exit status 255


No idea how you fetched the orig source before but I doubt that the
debian/watch file could work at all.  Any volunteer to upgrade
libsequence-library-java to (possibly) fix #802356?

Kind regards

       Andreas.

On Wed, Nov 04, 2015 at 03:54:14PM +0100, TMate Software Support wrote:
> Hello Andreas,
> 
> This might be a hint.  This library will be provided in Debian by the
> > package libsequence-library-java which has version  1.0.2 currently.
> > I'll try to make an upgrade happen and will report in case this is not
> > sufficient.
> 
> 
> Upgrading to 1.0.3 should resolve the problem then.
> 
> By default, gradle should download exact library version specified as a
> dependency from the central maven repository. It might be that it does
> download it, but compile classpath includes system package (1.0.2) and
> older version is actually used.
> 
> With best regards,
> Alexander Kitaev,
> TMate Software,
> http://subgit.com/ git-svn import & mirror
> 
> On 4 November 2015 at 15:50, Andreas Tille <ti...@debian.org> wrote:
> 
> > Hi,
> >
> > On Wed, Nov 04, 2015 at 03:29:03PM +0100, TMate Software Support wrote:
> > > Hello Andreas,
> > >
> > > Thank you for reporting this issue! So far I have no idea why it fails to
> > > compile.
> > >
> > > The error being reported is:
> > >
> > >  [javac] /build/svnkit-1.8.11/svnkit/src/main/java/org/tmatesoft/
> > > > svn/core/internal/wc2/ng/SvnDiffGenerator.java:524: error: no suitable
> > > > method found for generateTextDiff(RandomAccessFile,RandomAccessFile,
> > > > SvnDiffGenerator.EmptyDetectionOutputStream,QDiffGenerator)
> > > >     [javac]             QDiffManager.generateTextDiff(is1, is2,
> > > > emptyDetectionOutputStream, generator);
> > > >     [javac]                         ^
> > > >     [javac]     method QDiffManager.generateTextDiff(RandomAccessFile,
> > > > RandomAccessFile,String,Writer,QDiffGenerator) is not applicable
> > > >     [javac]       (actual and formal argument lists differ in length)
> > > >     [javac]     method QDiffManager.generateTextDiff(
> > > > InputStream,InputStream,String,Writer,QDiffGenerator) is not applicable
> > > >     [javac]       (actual and formal argument lists differ in length)
> > >
> > >
> > > The method reported as not found is part of the 'sequence' library SVNKit
> > > uses, particular version of this library
> > > 'de.regnis.q.sequence:sequence-library:1.0.3' referred from build.gradle
> > > build file and this version of the library does include this method.
> >
> > This might be a hint.  This library will be provided in Debian by the
> > package libsequence-library-java which has version  1.0.2 currently.
> > I'll try to make an upgrade happen and will report in case this is not
> > sufficient.
> >
> > > Could you please provide some more information on your environment? What
> > > JDK do you use to compile SVNKit? What is the exact command you use to
> > > build SVNKit?
> >
> > I attached the full build log of the package which should answer these
> > questions.
> >
> > > And finally how do you obtain SVNKit 1.8.11 sources?
> >
> > Debian command uscan is parsing
> >
> >     http://svnkit.com/download.php
> >
> > and fetched it from there.
> >
> > > Until recently there were no '1.8.11' tag in SVN repository, now it is
> > > there at http://svn.svnkit.com/repos/svnkit/1.8.11
> > > Might that cause the problem?
> >
> > I do not think so.
> >
> > Kind regards
> >
> >         Andreas.
> >
> > --
> > http://fam-tille.de
> >

-- 
http://fam-tille.de

__
This is the maintainer address of Debian's Java team
<http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-java-maintainers>. 
Please use
debian-j...@lists.debian.org for discussions and questions.

Reply via email to